searchData={"content_type":"text/markdown","items":[{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_run-wait_for-names","title":"Reactor.Req.reactor.req_run.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_run-wait_for","title":"Reactor.Req.reactor.req_run.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_run-name","title":"Reactor.Req.reactor.req_run.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_run-url","title":"Reactor.Req.reactor.req_run.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_run-unix_socket","title":"Reactor.Req.reactor.req_run.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_run-retry","title":"Reactor.Req.reactor.req_run.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_run-retry_log_level","title":"Reactor.Req.reactor.req_run.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_run-retry_delay","title":"Reactor.Req.reactor.req_run.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_run-request","title":"Reactor.Req.reactor.req_run.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_run-redirect","title":"Reactor.Req.reactor.req_run.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_run-redirect_trusted","title":"Reactor.Req.reactor.req_run.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_run-receive_timeout","title":"Reactor.Req.reactor.req_run.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_run-raw","title":"Reactor.Req.reactor.req_run.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_run-pool_timeout","title":"Reactor.Req.reactor.req_run.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_run-plug","title":"Reactor.Req.reactor.req_run.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_run-path_params","title":"Reactor.Req.reactor.req_run.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_run-path_params_style","title":"Reactor.Req.reactor.req_run.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_run-params","title":"Reactor.Req.reactor.req_run.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_run-method","title":"Reactor.Req.reactor.req_run.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_run-max_retries","title":"Reactor.Req.reactor.req_run.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_run-max_redirects","title":"Reactor.Req.reactor.req_run.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_run-json","title":"Reactor.Req.reactor.req_run.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_run-into","title":"Reactor.Req.reactor.req_run.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_run-inet6","title":"Reactor.Req.reactor.req_run.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_run-http_errors","title":"Reactor.Req.reactor.req_run.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_run-headers","title":"Reactor.Req.reactor.req_run.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_run-form","title":"Reactor.Req.reactor.req_run.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_run-form_multipart","title":"Reactor.Req.reactor.req_run.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_run-finch","title":"Reactor.Req.reactor.req_run.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_run-finch_request","title":"Reactor.Req.reactor.req_run.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_run-finch_private","title":"Reactor.Req.reactor.req_run.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_run-decode_json","title":"Reactor.Req.reactor.req_run.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_run-decode_body","title":"Reactor.Req.reactor.req_run.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_run-connect_options","title":"Reactor.Req.reactor.req_run.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_run-compress_body","title":"Reactor.Req.reactor.req_run.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_run-cache","title":"Reactor.Req.reactor.req_run.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_run-cache_dir","title":"Reactor.Req.reactor.req_run.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_run-body","title":"Reactor.Req.reactor.req_run.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_run-base_url","title":"Reactor.Req.reactor.req_run.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_run-aws_sigv4","title":"Reactor.Req.reactor.req_run.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_run-auth","title":"Reactor.Req.reactor.req_run.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_run-adapter","title":"Reactor.Req.reactor.req_run.adapter","type":"DSL"},{"doc":"Performs a request using `Req.run/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_run","title":"Reactor.Req.reactor.req_run","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_request-wait_for-names","title":"Reactor.Req.reactor.req_request.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_request-wait_for","title":"Reactor.Req.reactor.req_request.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_request-name","title":"Reactor.Req.reactor.req_request.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_request-url","title":"Reactor.Req.reactor.req_request.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_request-unix_socket","title":"Reactor.Req.reactor.req_request.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_request-retry","title":"Reactor.Req.reactor.req_request.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_request-retry_log_level","title":"Reactor.Req.reactor.req_request.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_request-retry_delay","title":"Reactor.Req.reactor.req_request.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_request-request","title":"Reactor.Req.reactor.req_request.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_request-redirect","title":"Reactor.Req.reactor.req_request.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_request-redirect_trusted","title":"Reactor.Req.reactor.req_request.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_request-receive_timeout","title":"Reactor.Req.reactor.req_request.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_request-raw","title":"Reactor.Req.reactor.req_request.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_request-pool_timeout","title":"Reactor.Req.reactor.req_request.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_request-plug","title":"Reactor.Req.reactor.req_request.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_request-path_params","title":"Reactor.Req.reactor.req_request.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_request-path_params_style","title":"Reactor.Req.reactor.req_request.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_request-params","title":"Reactor.Req.reactor.req_request.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_request-method","title":"Reactor.Req.reactor.req_request.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_request-max_retries","title":"Reactor.Req.reactor.req_request.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_request-max_redirects","title":"Reactor.Req.reactor.req_request.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_request-json","title":"Reactor.Req.reactor.req_request.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_request-into","title":"Reactor.Req.reactor.req_request.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_request-inet6","title":"Reactor.Req.reactor.req_request.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_request-http_errors","title":"Reactor.Req.reactor.req_request.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_request-headers","title":"Reactor.Req.reactor.req_request.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_request-form","title":"Reactor.Req.reactor.req_request.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_request-form_multipart","title":"Reactor.Req.reactor.req_request.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_request-finch","title":"Reactor.Req.reactor.req_request.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_request-finch_request","title":"Reactor.Req.reactor.req_request.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_request-finch_private","title":"Reactor.Req.reactor.req_request.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_request-decode_json","title":"Reactor.Req.reactor.req_request.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_request-decode_body","title":"Reactor.Req.reactor.req_request.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_request-connect_options","title":"Reactor.Req.reactor.req_request.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_request-compress_body","title":"Reactor.Req.reactor.req_request.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_request-cache","title":"Reactor.Req.reactor.req_request.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_request-cache_dir","title":"Reactor.Req.reactor.req_request.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_request-body","title":"Reactor.Req.reactor.req_request.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_request-base_url","title":"Reactor.Req.reactor.req_request.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_request-aws_sigv4","title":"Reactor.Req.reactor.req_request.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_request-auth","title":"Reactor.Req.reactor.req_request.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_request-adapter","title":"Reactor.Req.reactor.req_request.adapter","type":"DSL"},{"doc":"Performs a request using `Req.request/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_request","title":"Reactor.Req.reactor.req_request","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_put-wait_for-names","title":"Reactor.Req.reactor.req_put.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_put-wait_for","title":"Reactor.Req.reactor.req_put.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_put-name","title":"Reactor.Req.reactor.req_put.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_put-url","title":"Reactor.Req.reactor.req_put.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_put-unix_socket","title":"Reactor.Req.reactor.req_put.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_put-retry","title":"Reactor.Req.reactor.req_put.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_put-retry_log_level","title":"Reactor.Req.reactor.req_put.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_put-retry_delay","title":"Reactor.Req.reactor.req_put.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_put-request","title":"Reactor.Req.reactor.req_put.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_put-redirect","title":"Reactor.Req.reactor.req_put.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_put-redirect_trusted","title":"Reactor.Req.reactor.req_put.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_put-receive_timeout","title":"Reactor.Req.reactor.req_put.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_put-raw","title":"Reactor.Req.reactor.req_put.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_put-pool_timeout","title":"Reactor.Req.reactor.req_put.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_put-plug","title":"Reactor.Req.reactor.req_put.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_put-path_params","title":"Reactor.Req.reactor.req_put.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_put-path_params_style","title":"Reactor.Req.reactor.req_put.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_put-params","title":"Reactor.Req.reactor.req_put.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_put-method","title":"Reactor.Req.reactor.req_put.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_put-max_retries","title":"Reactor.Req.reactor.req_put.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_put-max_redirects","title":"Reactor.Req.reactor.req_put.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_put-json","title":"Reactor.Req.reactor.req_put.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_put-into","title":"Reactor.Req.reactor.req_put.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_put-inet6","title":"Reactor.Req.reactor.req_put.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_put-http_errors","title":"Reactor.Req.reactor.req_put.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_put-headers","title":"Reactor.Req.reactor.req_put.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_put-form","title":"Reactor.Req.reactor.req_put.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_put-form_multipart","title":"Reactor.Req.reactor.req_put.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_put-finch","title":"Reactor.Req.reactor.req_put.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_put-finch_request","title":"Reactor.Req.reactor.req_put.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_put-finch_private","title":"Reactor.Req.reactor.req_put.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_put-decode_json","title":"Reactor.Req.reactor.req_put.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_put-decode_body","title":"Reactor.Req.reactor.req_put.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_put-connect_options","title":"Reactor.Req.reactor.req_put.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_put-compress_body","title":"Reactor.Req.reactor.req_put.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_put-cache","title":"Reactor.Req.reactor.req_put.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_put-cache_dir","title":"Reactor.Req.reactor.req_put.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_put-body","title":"Reactor.Req.reactor.req_put.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_put-base_url","title":"Reactor.Req.reactor.req_put.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_put-aws_sigv4","title":"Reactor.Req.reactor.req_put.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_put-auth","title":"Reactor.Req.reactor.req_put.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_put-adapter","title":"Reactor.Req.reactor.req_put.adapter","type":"DSL"},{"doc":"Performs a request using `Req.put/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_put","title":"Reactor.Req.reactor.req_put","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_post-wait_for-names","title":"Reactor.Req.reactor.req_post.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_post-wait_for","title":"Reactor.Req.reactor.req_post.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_post-name","title":"Reactor.Req.reactor.req_post.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_post-url","title":"Reactor.Req.reactor.req_post.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_post-unix_socket","title":"Reactor.Req.reactor.req_post.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_post-retry","title":"Reactor.Req.reactor.req_post.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_post-retry_log_level","title":"Reactor.Req.reactor.req_post.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_post-retry_delay","title":"Reactor.Req.reactor.req_post.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_post-request","title":"Reactor.Req.reactor.req_post.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_post-redirect","title":"Reactor.Req.reactor.req_post.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_post-redirect_trusted","title":"Reactor.Req.reactor.req_post.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_post-receive_timeout","title":"Reactor.Req.reactor.req_post.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_post-raw","title":"Reactor.Req.reactor.req_post.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_post-pool_timeout","title":"Reactor.Req.reactor.req_post.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_post-plug","title":"Reactor.Req.reactor.req_post.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_post-path_params","title":"Reactor.Req.reactor.req_post.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_post-path_params_style","title":"Reactor.Req.reactor.req_post.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_post-params","title":"Reactor.Req.reactor.req_post.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_post-method","title":"Reactor.Req.reactor.req_post.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_post-max_retries","title":"Reactor.Req.reactor.req_post.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_post-max_redirects","title":"Reactor.Req.reactor.req_post.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_post-json","title":"Reactor.Req.reactor.req_post.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_post-into","title":"Reactor.Req.reactor.req_post.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_post-inet6","title":"Reactor.Req.reactor.req_post.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_post-http_errors","title":"Reactor.Req.reactor.req_post.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_post-headers","title":"Reactor.Req.reactor.req_post.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_post-form","title":"Reactor.Req.reactor.req_post.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_post-form_multipart","title":"Reactor.Req.reactor.req_post.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_post-finch","title":"Reactor.Req.reactor.req_post.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_post-finch_request","title":"Reactor.Req.reactor.req_post.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_post-finch_private","title":"Reactor.Req.reactor.req_post.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_post-decode_json","title":"Reactor.Req.reactor.req_post.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_post-decode_body","title":"Reactor.Req.reactor.req_post.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_post-connect_options","title":"Reactor.Req.reactor.req_post.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_post-compress_body","title":"Reactor.Req.reactor.req_post.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_post-cache","title":"Reactor.Req.reactor.req_post.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_post-cache_dir","title":"Reactor.Req.reactor.req_post.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_post-body","title":"Reactor.Req.reactor.req_post.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_post-base_url","title":"Reactor.Req.reactor.req_post.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_post-aws_sigv4","title":"Reactor.Req.reactor.req_post.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_post-auth","title":"Reactor.Req.reactor.req_post.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_post-adapter","title":"Reactor.Req.reactor.req_post.adapter","type":"DSL"},{"doc":"Performs a request using `Req.post/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_post","title":"Reactor.Req.reactor.req_post","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_patch-wait_for-names","title":"Reactor.Req.reactor.req_patch.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_patch-wait_for","title":"Reactor.Req.reactor.req_patch.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_patch-name","title":"Reactor.Req.reactor.req_patch.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_patch-url","title":"Reactor.Req.reactor.req_patch.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_patch-unix_socket","title":"Reactor.Req.reactor.req_patch.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_patch-retry","title":"Reactor.Req.reactor.req_patch.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_patch-retry_log_level","title":"Reactor.Req.reactor.req_patch.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_patch-retry_delay","title":"Reactor.Req.reactor.req_patch.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_patch-request","title":"Reactor.Req.reactor.req_patch.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_patch-redirect","title":"Reactor.Req.reactor.req_patch.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_patch-redirect_trusted","title":"Reactor.Req.reactor.req_patch.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_patch-receive_timeout","title":"Reactor.Req.reactor.req_patch.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_patch-raw","title":"Reactor.Req.reactor.req_patch.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_patch-pool_timeout","title":"Reactor.Req.reactor.req_patch.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_patch-plug","title":"Reactor.Req.reactor.req_patch.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_patch-path_params","title":"Reactor.Req.reactor.req_patch.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_patch-path_params_style","title":"Reactor.Req.reactor.req_patch.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_patch-params","title":"Reactor.Req.reactor.req_patch.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_patch-method","title":"Reactor.Req.reactor.req_patch.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_patch-max_retries","title":"Reactor.Req.reactor.req_patch.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_patch-max_redirects","title":"Reactor.Req.reactor.req_patch.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_patch-json","title":"Reactor.Req.reactor.req_patch.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_patch-into","title":"Reactor.Req.reactor.req_patch.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_patch-inet6","title":"Reactor.Req.reactor.req_patch.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_patch-http_errors","title":"Reactor.Req.reactor.req_patch.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_patch-headers","title":"Reactor.Req.reactor.req_patch.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_patch-form","title":"Reactor.Req.reactor.req_patch.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_patch-form_multipart","title":"Reactor.Req.reactor.req_patch.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_patch-finch","title":"Reactor.Req.reactor.req_patch.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_patch-finch_request","title":"Reactor.Req.reactor.req_patch.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_patch-finch_private","title":"Reactor.Req.reactor.req_patch.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_patch-decode_json","title":"Reactor.Req.reactor.req_patch.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_patch-decode_body","title":"Reactor.Req.reactor.req_patch.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_patch-connect_options","title":"Reactor.Req.reactor.req_patch.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_patch-compress_body","title":"Reactor.Req.reactor.req_patch.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_patch-cache","title":"Reactor.Req.reactor.req_patch.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_patch-cache_dir","title":"Reactor.Req.reactor.req_patch.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_patch-body","title":"Reactor.Req.reactor.req_patch.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_patch-base_url","title":"Reactor.Req.reactor.req_patch.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_patch-aws_sigv4","title":"Reactor.Req.reactor.req_patch.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_patch-auth","title":"Reactor.Req.reactor.req_patch.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_patch-adapter","title":"Reactor.Req.reactor.req_patch.adapter","type":"DSL"},{"doc":"Performs a request using `Req.patch/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_patch","title":"Reactor.Req.reactor.req_patch","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_new-wait_for-names","title":"Reactor.Req.reactor.req_new.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_new-wait_for","title":"Reactor.Req.reactor.req_new.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_new-name","title":"Reactor.Req.reactor.req_new.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_new-url","title":"Reactor.Req.reactor.req_new.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_new-unix_socket","title":"Reactor.Req.reactor.req_new.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_new-retry","title":"Reactor.Req.reactor.req_new.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_new-retry_log_level","title":"Reactor.Req.reactor.req_new.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_new-retry_delay","title":"Reactor.Req.reactor.req_new.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_new-request","title":"Reactor.Req.reactor.req_new.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_new-redirect","title":"Reactor.Req.reactor.req_new.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_new-redirect_trusted","title":"Reactor.Req.reactor.req_new.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_new-receive_timeout","title":"Reactor.Req.reactor.req_new.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_new-raw","title":"Reactor.Req.reactor.req_new.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_new-pool_timeout","title":"Reactor.Req.reactor.req_new.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_new-plug","title":"Reactor.Req.reactor.req_new.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_new-path_params","title":"Reactor.Req.reactor.req_new.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_new-path_params_style","title":"Reactor.Req.reactor.req_new.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_new-params","title":"Reactor.Req.reactor.req_new.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_new-method","title":"Reactor.Req.reactor.req_new.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_new-max_retries","title":"Reactor.Req.reactor.req_new.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_new-max_redirects","title":"Reactor.Req.reactor.req_new.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_new-json","title":"Reactor.Req.reactor.req_new.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_new-into","title":"Reactor.Req.reactor.req_new.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_new-inet6","title":"Reactor.Req.reactor.req_new.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_new-http_errors","title":"Reactor.Req.reactor.req_new.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_new-headers","title":"Reactor.Req.reactor.req_new.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_new-form","title":"Reactor.Req.reactor.req_new.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_new-form_multipart","title":"Reactor.Req.reactor.req_new.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_new-finch","title":"Reactor.Req.reactor.req_new.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_new-finch_request","title":"Reactor.Req.reactor.req_new.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_new-finch_private","title":"Reactor.Req.reactor.req_new.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_new-decode_json","title":"Reactor.Req.reactor.req_new.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_new-decode_body","title":"Reactor.Req.reactor.req_new.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_new-connect_options","title":"Reactor.Req.reactor.req_new.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_new-compress_body","title":"Reactor.Req.reactor.req_new.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_new-cache","title":"Reactor.Req.reactor.req_new.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_new-cache_dir","title":"Reactor.Req.reactor.req_new.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_new-body","title":"Reactor.Req.reactor.req_new.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_new-base_url","title":"Reactor.Req.reactor.req_new.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_new-aws_sigv4","title":"Reactor.Req.reactor.req_new.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_new-auth","title":"Reactor.Req.reactor.req_new.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_new-adapter","title":"Reactor.Req.reactor.req_new.adapter","type":"DSL"},{"doc":"Creates a new request using `Req.new/1`\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_new","title":"Reactor.Req.reactor.req_new","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_merge-wait_for-names","title":"Reactor.Req.reactor.req_merge.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_merge-wait_for","title":"Reactor.Req.reactor.req_merge.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_merge-name","title":"Reactor.Req.reactor.req_merge.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_merge-url","title":"Reactor.Req.reactor.req_merge.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_merge-unix_socket","title":"Reactor.Req.reactor.req_merge.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_merge-retry","title":"Reactor.Req.reactor.req_merge.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_merge-retry_log_level","title":"Reactor.Req.reactor.req_merge.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_merge-retry_delay","title":"Reactor.Req.reactor.req_merge.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_merge-request","title":"Reactor.Req.reactor.req_merge.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_merge-redirect","title":"Reactor.Req.reactor.req_merge.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_merge-redirect_trusted","title":"Reactor.Req.reactor.req_merge.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_merge-receive_timeout","title":"Reactor.Req.reactor.req_merge.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_merge-raw","title":"Reactor.Req.reactor.req_merge.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_merge-pool_timeout","title":"Reactor.Req.reactor.req_merge.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_merge-plug","title":"Reactor.Req.reactor.req_merge.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_merge-path_params","title":"Reactor.Req.reactor.req_merge.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_merge-path_params_style","title":"Reactor.Req.reactor.req_merge.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_merge-params","title":"Reactor.Req.reactor.req_merge.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_merge-method","title":"Reactor.Req.reactor.req_merge.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_merge-max_retries","title":"Reactor.Req.reactor.req_merge.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_merge-max_redirects","title":"Reactor.Req.reactor.req_merge.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_merge-json","title":"Reactor.Req.reactor.req_merge.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_merge-into","title":"Reactor.Req.reactor.req_merge.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_merge-inet6","title":"Reactor.Req.reactor.req_merge.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_merge-http_errors","title":"Reactor.Req.reactor.req_merge.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_merge-headers","title":"Reactor.Req.reactor.req_merge.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_merge-form","title":"Reactor.Req.reactor.req_merge.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_merge-form_multipart","title":"Reactor.Req.reactor.req_merge.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_merge-finch","title":"Reactor.Req.reactor.req_merge.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_merge-finch_request","title":"Reactor.Req.reactor.req_merge.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_merge-finch_private","title":"Reactor.Req.reactor.req_merge.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_merge-decode_json","title":"Reactor.Req.reactor.req_merge.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_merge-decode_body","title":"Reactor.Req.reactor.req_merge.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_merge-connect_options","title":"Reactor.Req.reactor.req_merge.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_merge-compress_body","title":"Reactor.Req.reactor.req_merge.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_merge-cache","title":"Reactor.Req.reactor.req_merge.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_merge-cache_dir","title":"Reactor.Req.reactor.req_merge.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_merge-body","title":"Reactor.Req.reactor.req_merge.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_merge-base_url","title":"Reactor.Req.reactor.req_merge.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_merge-aws_sigv4","title":"Reactor.Req.reactor.req_merge.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_merge-auth","title":"Reactor.Req.reactor.req_merge.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_merge-adapter","title":"Reactor.Req.reactor.req_merge.adapter","type":"DSL"},{"doc":"Creates a new request using `Req.merge/2`\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_merge","title":"Reactor.Req.reactor.req_merge","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_head-wait_for-names","title":"Reactor.Req.reactor.req_head.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_head-wait_for","title":"Reactor.Req.reactor.req_head.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_head-name","title":"Reactor.Req.reactor.req_head.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_head-url","title":"Reactor.Req.reactor.req_head.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_head-unix_socket","title":"Reactor.Req.reactor.req_head.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_head-retry","title":"Reactor.Req.reactor.req_head.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_head-retry_log_level","title":"Reactor.Req.reactor.req_head.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_head-retry_delay","title":"Reactor.Req.reactor.req_head.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_head-request","title":"Reactor.Req.reactor.req_head.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_head-redirect","title":"Reactor.Req.reactor.req_head.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_head-redirect_trusted","title":"Reactor.Req.reactor.req_head.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_head-receive_timeout","title":"Reactor.Req.reactor.req_head.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_head-raw","title":"Reactor.Req.reactor.req_head.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_head-pool_timeout","title":"Reactor.Req.reactor.req_head.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_head-plug","title":"Reactor.Req.reactor.req_head.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_head-path_params","title":"Reactor.Req.reactor.req_head.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_head-path_params_style","title":"Reactor.Req.reactor.req_head.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_head-params","title":"Reactor.Req.reactor.req_head.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_head-method","title":"Reactor.Req.reactor.req_head.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_head-max_retries","title":"Reactor.Req.reactor.req_head.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_head-max_redirects","title":"Reactor.Req.reactor.req_head.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_head-json","title":"Reactor.Req.reactor.req_head.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_head-into","title":"Reactor.Req.reactor.req_head.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_head-inet6","title":"Reactor.Req.reactor.req_head.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_head-http_errors","title":"Reactor.Req.reactor.req_head.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_head-headers","title":"Reactor.Req.reactor.req_head.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_head-form","title":"Reactor.Req.reactor.req_head.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_head-form_multipart","title":"Reactor.Req.reactor.req_head.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_head-finch","title":"Reactor.Req.reactor.req_head.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_head-finch_request","title":"Reactor.Req.reactor.req_head.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_head-finch_private","title":"Reactor.Req.reactor.req_head.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_head-decode_json","title":"Reactor.Req.reactor.req_head.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_head-decode_body","title":"Reactor.Req.reactor.req_head.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_head-connect_options","title":"Reactor.Req.reactor.req_head.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_head-compress_body","title":"Reactor.Req.reactor.req_head.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_head-cache","title":"Reactor.Req.reactor.req_head.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_head-cache_dir","title":"Reactor.Req.reactor.req_head.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_head-body","title":"Reactor.Req.reactor.req_head.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_head-base_url","title":"Reactor.Req.reactor.req_head.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_head-aws_sigv4","title":"Reactor.Req.reactor.req_head.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_head-auth","title":"Reactor.Req.reactor.req_head.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_head-adapter","title":"Reactor.Req.reactor.req_head.adapter","type":"DSL"},{"doc":"Performs a request using `Req.head/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_head","title":"Reactor.Req.reactor.req_head","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_get-wait_for-names","title":"Reactor.Req.reactor.req_get.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_get-wait_for","title":"Reactor.Req.reactor.req_get.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_get-name","title":"Reactor.Req.reactor.req_get.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_get-url","title":"Reactor.Req.reactor.req_get.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_get-unix_socket","title":"Reactor.Req.reactor.req_get.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_get-retry","title":"Reactor.Req.reactor.req_get.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_get-retry_log_level","title":"Reactor.Req.reactor.req_get.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_get-retry_delay","title":"Reactor.Req.reactor.req_get.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_get-request","title":"Reactor.Req.reactor.req_get.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_get-redirect","title":"Reactor.Req.reactor.req_get.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_get-redirect_trusted","title":"Reactor.Req.reactor.req_get.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_get-receive_timeout","title":"Reactor.Req.reactor.req_get.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_get-raw","title":"Reactor.Req.reactor.req_get.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_get-pool_timeout","title":"Reactor.Req.reactor.req_get.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_get-plug","title":"Reactor.Req.reactor.req_get.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_get-path_params","title":"Reactor.Req.reactor.req_get.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_get-path_params_style","title":"Reactor.Req.reactor.req_get.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_get-params","title":"Reactor.Req.reactor.req_get.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_get-method","title":"Reactor.Req.reactor.req_get.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_get-max_retries","title":"Reactor.Req.reactor.req_get.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_get-max_redirects","title":"Reactor.Req.reactor.req_get.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_get-json","title":"Reactor.Req.reactor.req_get.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_get-into","title":"Reactor.Req.reactor.req_get.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_get-inet6","title":"Reactor.Req.reactor.req_get.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_get-http_errors","title":"Reactor.Req.reactor.req_get.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_get-headers","title":"Reactor.Req.reactor.req_get.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_get-form","title":"Reactor.Req.reactor.req_get.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_get-form_multipart","title":"Reactor.Req.reactor.req_get.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_get-finch","title":"Reactor.Req.reactor.req_get.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_get-finch_request","title":"Reactor.Req.reactor.req_get.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_get-finch_private","title":"Reactor.Req.reactor.req_get.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_get-decode_json","title":"Reactor.Req.reactor.req_get.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_get-decode_body","title":"Reactor.Req.reactor.req_get.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_get-connect_options","title":"Reactor.Req.reactor.req_get.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_get-compress_body","title":"Reactor.Req.reactor.req_get.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_get-cache","title":"Reactor.Req.reactor.req_get.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_get-cache_dir","title":"Reactor.Req.reactor.req_get.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_get-body","title":"Reactor.Req.reactor.req_get.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_get-base_url","title":"Reactor.Req.reactor.req_get.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_get-aws_sigv4","title":"Reactor.Req.reactor.req_get.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_get-auth","title":"Reactor.Req.reactor.req_get.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_get-adapter","title":"Reactor.Req.reactor.req_get.adapter","type":"DSL"},{"doc":"Performs a request using `Req.get/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_get","title":"Reactor.Req.reactor.req_get","type":"DSL"},{"doc":"The name of the step to wait for.\n","ref":"dsl-reactor-req.html#reactor-req_delete-wait_for-names","title":"Reactor.Req.reactor.req_delete.wait_for.names","type":"DSL"},{"doc":"Wait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`\n","ref":"dsl-reactor-req.html#reactor-req_delete-wait_for","title":"Reactor.Req.reactor.req_delete.wait_for","type":"DSL"},{"doc":"A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps","ref":"dsl-reactor-req.html#reactor-req_delete-name","title":"Reactor.Req.reactor.req_delete.name","type":"DSL"},{"doc":"The request URL","ref":"dsl-reactor-req.html#reactor-req_delete-url","title":"Reactor.Req.reactor.req_delete.url","type":"DSL"},{"doc":"If set, connect through the given UNIX domain socket","ref":"dsl-reactor-req.html#reactor-req_delete-unix_socket","title":"Reactor.Req.reactor.req_delete.unix_socket","type":"DSL"},{"doc":"One of `:safe_transient` (default), `:transient`, `fun` or `false`","ref":"dsl-reactor-req.html#reactor-req_delete-retry","title":"Reactor.Req.reactor.req_delete.retry","type":"DSL"},{"doc":"The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning`","ref":"dsl-reactor-req.html#reactor-req_delete-retry_log_level","title":"Reactor.Req.reactor.req_delete.retry_log_level","type":"DSL"},{"doc":"If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ...","ref":"dsl-reactor-req.html#reactor-req_delete-retry_delay","title":"Reactor.Req.reactor.req_delete.retry_delay","type":"DSL"},{"doc":"A previously built request","ref":"dsl-reactor-req.html#reactor-req_delete-request","title":"Reactor.Req.reactor.req_delete.request","type":"DSL"},{"doc":"If set to `false`, disables automatic response redirects","ref":"dsl-reactor-req.html#reactor-req_delete-redirect","title":"Reactor.Req.reactor.req_delete.redirect","type":"DSL"},{"doc":"By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host","ref":"dsl-reactor-req.html#reactor-req_delete-redirect_trusted","title":"Reactor.Req.reactor.req_delete.redirect_trusted","type":"DSL"},{"doc":"Socket receive timeout in milliseconds, defaults to `15_000`","ref":"dsl-reactor-req.html#reactor-req_delete-receive_timeout","title":"Reactor.Req.reactor.req_delete.receive_timeout","type":"DSL"},{"doc":"If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step)","ref":"dsl-reactor-req.html#reactor-req_delete-raw","title":"Reactor.Req.reactor.req_delete.raw","type":"DSL"},{"doc":"Pool checkout timeout in milliseconds, defaults to `5000`","ref":"dsl-reactor-req.html#reactor-req_delete-pool_timeout","title":"Reactor.Req.reactor.req_delete.pool_timeout","type":"DSL"},{"doc":"If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step)","ref":"dsl-reactor-req.html#reactor-req_delete-plug","title":"Reactor.Req.reactor.req_delete.plug","type":"DSL"},{"doc":"If set, uses a templated request path (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_delete-path_params","title":"Reactor.Req.reactor.req_delete.path_params","type":"DSL"},{"doc":"How path params are expressed (via `put_path_params` step)","ref":"dsl-reactor-req.html#reactor-req_delete-path_params_style","title":"Reactor.Req.reactor.req_delete.path_params_style","type":"DSL"},{"doc":"If set, appends parameters to the request query string (via `put_params` step)","ref":"dsl-reactor-req.html#reactor-req_delete-params","title":"Reactor.Req.reactor.req_delete.params","type":"DSL"},{"doc":"The request method, defaults to `:get`","ref":"dsl-reactor-req.html#reactor-req_delete-method","title":"Reactor.Req.reactor.req_delete.method","type":"DSL"},{"doc":"Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one)","ref":"dsl-reactor-req.html#reactor-req_delete-max_retries","title":"Reactor.Req.reactor.req_delete.max_retries","type":"DSL"},{"doc":"The maximum number of redirects, defaults to `10`","ref":"dsl-reactor-req.html#reactor-req_delete-max_redirects","title":"Reactor.Req.reactor.req_delete.max_redirects","type":"DSL"},{"doc":"If set, encodes the request body as JSON","ref":"dsl-reactor-req.html#reactor-req_delete-json","title":"Reactor.Req.reactor.req_delete.json","type":"DSL"},{"doc":"Where to send the response body","ref":"dsl-reactor-req.html#reactor-req_delete-into","title":"Reactor.Req.reactor.req_delete.into","type":"DSL"},{"doc":"If set to `true`, uses IPv6","ref":"dsl-reactor-req.html#reactor-req_delete-inet6","title":"Reactor.Req.reactor.req_delete.inet6","type":"DSL"},{"doc":"How to manage 4xx and 5xx responses","ref":"dsl-reactor-req.html#reactor-req_delete-http_errors","title":"Reactor.Req.reactor.req_delete.http_errors","type":"DSL"},{"doc":"The request headers as a `{key, value}` enumerable (e.g. map, keyword list)","ref":"dsl-reactor-req.html#reactor-req_delete-headers","title":"Reactor.Req.reactor.req_delete.headers","type":"DSL"},{"doc":"If set, encodes the request body as `application/x-www-form-urlencoded`","ref":"dsl-reactor-req.html#reactor-req_delete-form","title":"Reactor.Req.reactor.req_delete.form","type":"DSL"},{"doc":"If set, encodes the request body as `multipart/form-data`","ref":"dsl-reactor-req.html#reactor-req_delete-form_multipart","title":"Reactor.Req.reactor.req_delete.form_multipart","type":"DSL"},{"doc":"The Finch pool to use. Defaults to pool automatically started by `Req`","ref":"dsl-reactor-req.html#reactor-req_delete-finch","title":"Reactor.Req.reactor.req_delete.finch","type":"DSL"},{"doc":"A function that executes the Finch request, defaults to using `Finch.request/3`","ref":"dsl-reactor-req.html#reactor-req_delete-finch_request","title":"Reactor.Req.reactor.req_delete.finch_request","type":"DSL"},{"doc":"A map or keyword list of private metadata to add to the Finch request","ref":"dsl-reactor-req.html#reactor-req_delete-finch_private","title":"Reactor.Req.reactor.req_delete.finch_private","type":"DSL"},{"doc":"Options to pass to `Jason.decode!/2`","ref":"dsl-reactor-req.html#reactor-req_delete-decode_json","title":"Reactor.Req.reactor.req_delete.decode_json","type":"DSL"},{"doc":"If set to `false`, disables automatic response body decoding","ref":"dsl-reactor-req.html#reactor-req_delete-decode_body","title":"Reactor.Req.reactor.req_delete.decode_body","type":"DSL"},{"doc":"Dynamically starts (or re-uses already started) Finch pool with the given connection options","ref":"dsl-reactor-req.html#reactor-req_delete-connect_options","title":"Reactor.Req.reactor.req_delete.connect_options","type":"DSL"},{"doc":"If set to `true`, compresses the request body using gzip","ref":"dsl-reactor-req.html#reactor-req_delete-compress_body","title":"Reactor.Req.reactor.req_delete.compress_body","type":"DSL"},{"doc":"If `true`, performs HTTP caching","ref":"dsl-reactor-req.html#reactor-req_delete-cache","title":"Reactor.Req.reactor.req_delete.cache","type":"DSL"},{"doc":"The directory to store the cache","ref":"dsl-reactor-req.html#reactor-req_delete-cache_dir","title":"Reactor.Req.reactor.req_delete.cache_dir","type":"DSL"},{"doc":"The request body","ref":"dsl-reactor-req.html#reactor-req_delete-body","title":"Reactor.Req.reactor.req_delete.body","type":"DSL"},{"doc":"If set, the request URL is prepended with this base URL","ref":"dsl-reactor-req.html#reactor-req_delete-base_url","title":"Reactor.Req.reactor.req_delete.base_url","type":"DSL"},{"doc":"If set, the AWS options to sign request","ref":"dsl-reactor-req.html#reactor-req_delete-aws_sigv4","title":"Reactor.Req.reactor.req_delete.aws_sigv4","type":"DSL"},{"doc":"Sets request authentication","ref":"dsl-reactor-req.html#reactor-req_delete-auth","title":"Reactor.Req.reactor.req_delete.auth","type":"DSL"},{"doc":"Adapter to use to make the actual HTTP request","ref":"dsl-reactor-req.html#reactor-req_delete-adapter","title":"Reactor.Req.reactor.req_delete.adapter","type":"DSL"},{"doc":"Performs a request using `Req.delete/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.\n","ref":"dsl-reactor-req.html#reactor-req_delete","title":"Reactor.Req.reactor.req_delete","type":"DSL"},{"doc":"An extension which provides direct support for working with `req` requests\nwithin Reactor.","ref":"Reactor.Req.html","title":"Reactor.Req","type":"module"},{"doc":"Common builder for all DSL entities","ref":"Reactor.Req.Builder.html","title":"Reactor.Req.Builder","type":"module"},{"doc":"A `req_delete` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Delete.html","title":"Reactor.Req.Dsl.Delete","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Delete.html#t:t/0","title":"Reactor.Req.Dsl.Delete.t/0","type":"type"},{"doc":"A `req_get` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Get.html","title":"Reactor.Req.Dsl.Get","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Get.html#t:t/0","title":"Reactor.Req.Dsl.Get.t/0","type":"type"},{"doc":"A `req_head` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Head.html","title":"Reactor.Req.Dsl.Head","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Head.html#t:t/0","title":"Reactor.Req.Dsl.Head.t/0","type":"type"},{"doc":"The `req_merge` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Merge.html","title":"Reactor.Req.Dsl.Merge","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Merge.html#t:t/0","title":"Reactor.Req.Dsl.Merge.t/0","type":"type"},{"doc":"The `req_new` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.New.html","title":"Reactor.Req.Dsl.New","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.New.html#t:t/0","title":"Reactor.Req.Dsl.New.t/0","type":"type"},{"doc":"All the known options of Req (as of this writing).","ref":"Reactor.Req.Dsl.Options.html","title":"Reactor.Req.Dsl.Options","type":"module"},{"doc":"Merge options","ref":"Reactor.Req.Dsl.Options.html#merge/1","title":"Reactor.Req.Dsl.Options.merge/1","type":"function"},{"doc":"Struct attributes","ref":"Reactor.Req.Dsl.Options.html#struct_attrs/0","title":"Reactor.Req.Dsl.Options.struct_attrs/0","type":"function"},{"doc":"","ref":"Reactor.Req.Dsl.Options.html#t:entity/0","title":"Reactor.Req.Dsl.Options.entity/0","type":"type"},{"doc":"A `req_patch` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Patch.html","title":"Reactor.Req.Dsl.Patch","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Patch.html#t:t/0","title":"Reactor.Req.Dsl.Patch.t/0","type":"type"},{"doc":"A `req_post` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Post.html","title":"Reactor.Req.Dsl.Post","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Post.html#t:t/0","title":"Reactor.Req.Dsl.Post.t/0","type":"type"},{"doc":"A `req_put` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Put.html","title":"Reactor.Req.Dsl.Put","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Put.html#t:t/0","title":"Reactor.Req.Dsl.Put.t/0","type":"type"},{"doc":"A `req_run` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Request.html","title":"Reactor.Req.Dsl.Request","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Request.html#t:t/0","title":"Reactor.Req.Dsl.Request.t/0","type":"type"},{"doc":"A `req_run` DSL entity for the `Reactor.Req` DSL extension.","ref":"Reactor.Req.Dsl.Run.html","title":"Reactor.Req.Dsl.Run","type":"module"},{"doc":"","ref":"Reactor.Req.Dsl.Run.html#t:t/0","title":"Reactor.Req.Dsl.Run.t/0","type":"type"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqDelete.html","title":"Reactor.Req.Ext.Reactor.ReqDelete","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqDelete.html#req_delete/2","title":"Reactor.Req.Ext.Reactor.ReqDelete.req_delete/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqDelete.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqDelete.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqDelete.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqDelete.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqDelete.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqGet.html","title":"Reactor.Req.Ext.Reactor.ReqGet","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqGet.html#req_get/2","title":"Reactor.Req.Ext.Reactor.ReqGet.req_get/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html","title":"Reactor.Req.Ext.Reactor.ReqGet.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqGet.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqGet.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqGet.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqGet.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqGet.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqGet.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqGet.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqGet.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqHead.html","title":"Reactor.Req.Ext.Reactor.ReqHead","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqHead.html#req_head/2","title":"Reactor.Req.Ext.Reactor.ReqHead.req_head/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html","title":"Reactor.Req.Ext.Reactor.ReqHead.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqHead.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqHead.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqHead.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqHead.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqHead.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqHead.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqHead.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqHead.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqMerge.html","title":"Reactor.Req.Ext.Reactor.ReqMerge","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqMerge.html#req_merge/2","title":"Reactor.Req.Ext.Reactor.ReqMerge.req_merge/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqMerge.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqMerge.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqMerge.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqMerge.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqMerge.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqNew.html","title":"Reactor.Req.Ext.Reactor.ReqNew","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqNew.html#req_new/2","title":"Reactor.Req.Ext.Reactor.ReqNew.req_new/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html","title":"Reactor.Req.Ext.Reactor.ReqNew.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqNew.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqNew.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqNew.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqNew.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqNew.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqNew.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqNew.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqNew.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqPatch.html","title":"Reactor.Req.Ext.Reactor.ReqPatch","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqPatch.html#req_patch/2","title":"Reactor.Req.Ext.Reactor.ReqPatch.req_patch/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqPatch.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqPatch.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqPatch.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqPatch.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqPatch.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqPost.html","title":"Reactor.Req.Ext.Reactor.ReqPost","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqPost.html#req_post/2","title":"Reactor.Req.Ext.Reactor.ReqPost.req_post/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html","title":"Reactor.Req.Ext.Reactor.ReqPost.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPost.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqPost.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqPost.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqPost.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqPost.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqPost.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqPost.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqPost.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqPut.html","title":"Reactor.Req.Ext.Reactor.ReqPut","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqPut.html#req_put/2","title":"Reactor.Req.Ext.Reactor.ReqPut.req_put/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html","title":"Reactor.Req.Ext.Reactor.ReqPut.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqPut.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqPut.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqPut.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqPut.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqPut.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqPut.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqPut.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqPut.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqRequest.html","title":"Reactor.Req.Ext.Reactor.ReqRequest","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqRequest.html#req_request/2","title":"Reactor.Req.Ext.Reactor.ReqRequest.req_request/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqRequest.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqRequest.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqRequest.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqRequest.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqRequest.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqRun.html","title":"Reactor.Req.Ext.Reactor.ReqRun","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqRun.html#req_run/2","title":"Reactor.Req.Ext.Reactor.ReqRun.req_run/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html","title":"Reactor.Req.Ext.Reactor.ReqRun.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#adapter/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#auth/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#aws_sigv4/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#base_url/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#body/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#cache/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#cache_dir/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#compress_body/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#connect_options/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#decode_body/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#decode_json/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#finch/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#finch_private/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#finch_request/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#form/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#form_multipart/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#headers/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#http_errors/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#inet6/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#into/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#json/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#max_redirects/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#max_retries/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#method/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#params/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#path_params/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#path_params_style/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#plug/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#pool_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#raw/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#receive_timeout/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#redirect/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#redirect_trusted/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#request/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#retry/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#retry_delay/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#retry_log_level/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#unix_socket/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Ext.Reactor.ReqRun.Options.html#url/1","title":"Reactor.Req.Ext.Reactor.ReqRun.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Ext.Reactor.ReqRun.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Ext.Reactor.ReqRun.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Ext.Reactor.ReqRun.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Ext.Reactor.ReqRun.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Ext.Reactor.ReqRun.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Ext.Reactor.ReqRun.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqDelete.html","title":"Reactor.Req.Reactor.ReqDelete","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqDelete.html#req_delete/2","title":"Reactor.Req.Reactor.ReqDelete.req_delete/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqDelete.Options.html","title":"Reactor.Req.Reactor.ReqDelete.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqDelete.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqDelete.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqDelete.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqDelete.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#body/1","title":"Reactor.Req.Reactor.ReqDelete.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqDelete.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqDelete.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqDelete.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqDelete.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqDelete.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqDelete.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqDelete.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqDelete.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqDelete.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#form/1","title":"Reactor.Req.Reactor.ReqDelete.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqDelete.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqDelete.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqDelete.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqDelete.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#into/1","title":"Reactor.Req.Reactor.ReqDelete.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#json/1","title":"Reactor.Req.Reactor.ReqDelete.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqDelete.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqDelete.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#method/1","title":"Reactor.Req.Reactor.ReqDelete.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#params/1","title":"Reactor.Req.Reactor.ReqDelete.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqDelete.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqDelete.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqDelete.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqDelete.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqDelete.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqDelete.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqDelete.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqDelete.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#request/1","title":"Reactor.Req.Reactor.ReqDelete.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqDelete.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqDelete.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqDelete.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqDelete.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqDelete.Options.html#url/1","title":"Reactor.Req.Reactor.ReqDelete.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqDelete.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqDelete.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqDelete.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqDelete.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqDelete.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqDelete.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqGet.html","title":"Reactor.Req.Reactor.ReqGet","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqGet.html#req_get/2","title":"Reactor.Req.Reactor.ReqGet.req_get/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqGet.Options.html","title":"Reactor.Req.Reactor.ReqGet.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqGet.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqGet.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqGet.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqGet.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#body/1","title":"Reactor.Req.Reactor.ReqGet.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqGet.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqGet.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqGet.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqGet.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqGet.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqGet.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqGet.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqGet.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqGet.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#form/1","title":"Reactor.Req.Reactor.ReqGet.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqGet.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqGet.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqGet.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqGet.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#into/1","title":"Reactor.Req.Reactor.ReqGet.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#json/1","title":"Reactor.Req.Reactor.ReqGet.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqGet.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqGet.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#method/1","title":"Reactor.Req.Reactor.ReqGet.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#params/1","title":"Reactor.Req.Reactor.ReqGet.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqGet.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqGet.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqGet.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqGet.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqGet.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqGet.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqGet.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqGet.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#request/1","title":"Reactor.Req.Reactor.ReqGet.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqGet.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqGet.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqGet.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqGet.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqGet.Options.html#url/1","title":"Reactor.Req.Reactor.ReqGet.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqGet.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqGet.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqGet.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqGet.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqGet.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqGet.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqHead.html","title":"Reactor.Req.Reactor.ReqHead","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqHead.html#req_head/2","title":"Reactor.Req.Reactor.ReqHead.req_head/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqHead.Options.html","title":"Reactor.Req.Reactor.ReqHead.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqHead.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqHead.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqHead.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqHead.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#body/1","title":"Reactor.Req.Reactor.ReqHead.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqHead.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqHead.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqHead.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqHead.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqHead.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqHead.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqHead.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqHead.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqHead.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#form/1","title":"Reactor.Req.Reactor.ReqHead.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqHead.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqHead.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqHead.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqHead.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#into/1","title":"Reactor.Req.Reactor.ReqHead.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#json/1","title":"Reactor.Req.Reactor.ReqHead.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqHead.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqHead.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#method/1","title":"Reactor.Req.Reactor.ReqHead.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#params/1","title":"Reactor.Req.Reactor.ReqHead.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqHead.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqHead.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqHead.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqHead.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqHead.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqHead.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqHead.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqHead.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#request/1","title":"Reactor.Req.Reactor.ReqHead.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqHead.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqHead.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqHead.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqHead.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqHead.Options.html#url/1","title":"Reactor.Req.Reactor.ReqHead.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqHead.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqHead.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqHead.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqHead.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqHead.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqHead.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqMerge.html","title":"Reactor.Req.Reactor.ReqMerge","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqMerge.html#req_merge/2","title":"Reactor.Req.Reactor.ReqMerge.req_merge/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqMerge.Options.html","title":"Reactor.Req.Reactor.ReqMerge.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqMerge.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqMerge.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqMerge.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqMerge.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#body/1","title":"Reactor.Req.Reactor.ReqMerge.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqMerge.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqMerge.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqMerge.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqMerge.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqMerge.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqMerge.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqMerge.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqMerge.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqMerge.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#form/1","title":"Reactor.Req.Reactor.ReqMerge.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqMerge.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqMerge.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqMerge.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqMerge.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#into/1","title":"Reactor.Req.Reactor.ReqMerge.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#json/1","title":"Reactor.Req.Reactor.ReqMerge.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqMerge.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqMerge.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#method/1","title":"Reactor.Req.Reactor.ReqMerge.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#params/1","title":"Reactor.Req.Reactor.ReqMerge.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqMerge.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqMerge.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqMerge.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqMerge.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqMerge.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqMerge.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqMerge.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqMerge.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#request/1","title":"Reactor.Req.Reactor.ReqMerge.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqMerge.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqMerge.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqMerge.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqMerge.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqMerge.Options.html#url/1","title":"Reactor.Req.Reactor.ReqMerge.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqMerge.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqMerge.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqMerge.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqMerge.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqMerge.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqMerge.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqNew.html","title":"Reactor.Req.Reactor.ReqNew","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqNew.html#req_new/2","title":"Reactor.Req.Reactor.ReqNew.req_new/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqNew.Options.html","title":"Reactor.Req.Reactor.ReqNew.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqNew.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqNew.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqNew.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqNew.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#body/1","title":"Reactor.Req.Reactor.ReqNew.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqNew.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqNew.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqNew.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqNew.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqNew.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqNew.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqNew.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqNew.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqNew.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#form/1","title":"Reactor.Req.Reactor.ReqNew.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqNew.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqNew.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqNew.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqNew.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#into/1","title":"Reactor.Req.Reactor.ReqNew.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#json/1","title":"Reactor.Req.Reactor.ReqNew.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqNew.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqNew.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#method/1","title":"Reactor.Req.Reactor.ReqNew.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#params/1","title":"Reactor.Req.Reactor.ReqNew.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqNew.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqNew.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqNew.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqNew.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqNew.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqNew.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqNew.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqNew.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#request/1","title":"Reactor.Req.Reactor.ReqNew.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqNew.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqNew.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqNew.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqNew.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqNew.Options.html#url/1","title":"Reactor.Req.Reactor.ReqNew.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqNew.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqNew.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqNew.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqNew.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqNew.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqNew.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqPatch.html","title":"Reactor.Req.Reactor.ReqPatch","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqPatch.html#req_patch/2","title":"Reactor.Req.Reactor.ReqPatch.req_patch/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqPatch.Options.html","title":"Reactor.Req.Reactor.ReqPatch.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqPatch.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqPatch.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqPatch.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqPatch.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#body/1","title":"Reactor.Req.Reactor.ReqPatch.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqPatch.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqPatch.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqPatch.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqPatch.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqPatch.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqPatch.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqPatch.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqPatch.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqPatch.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#form/1","title":"Reactor.Req.Reactor.ReqPatch.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqPatch.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqPatch.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqPatch.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqPatch.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#into/1","title":"Reactor.Req.Reactor.ReqPatch.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#json/1","title":"Reactor.Req.Reactor.ReqPatch.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqPatch.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqPatch.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#method/1","title":"Reactor.Req.Reactor.ReqPatch.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#params/1","title":"Reactor.Req.Reactor.ReqPatch.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqPatch.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqPatch.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqPatch.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqPatch.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqPatch.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqPatch.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqPatch.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqPatch.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#request/1","title":"Reactor.Req.Reactor.ReqPatch.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqPatch.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqPatch.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqPatch.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqPatch.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPatch.Options.html#url/1","title":"Reactor.Req.Reactor.ReqPatch.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqPatch.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqPatch.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqPatch.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqPatch.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqPatch.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqPatch.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqPost.html","title":"Reactor.Req.Reactor.ReqPost","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqPost.html#req_post/2","title":"Reactor.Req.Reactor.ReqPost.req_post/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqPost.Options.html","title":"Reactor.Req.Reactor.ReqPost.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqPost.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqPost.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqPost.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqPost.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#body/1","title":"Reactor.Req.Reactor.ReqPost.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqPost.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqPost.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqPost.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqPost.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqPost.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqPost.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqPost.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqPost.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqPost.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#form/1","title":"Reactor.Req.Reactor.ReqPost.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqPost.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqPost.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqPost.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqPost.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#into/1","title":"Reactor.Req.Reactor.ReqPost.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#json/1","title":"Reactor.Req.Reactor.ReqPost.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqPost.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqPost.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#method/1","title":"Reactor.Req.Reactor.ReqPost.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#params/1","title":"Reactor.Req.Reactor.ReqPost.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqPost.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqPost.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqPost.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqPost.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqPost.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqPost.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqPost.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqPost.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#request/1","title":"Reactor.Req.Reactor.ReqPost.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqPost.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqPost.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqPost.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqPost.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPost.Options.html#url/1","title":"Reactor.Req.Reactor.ReqPost.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqPost.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqPost.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqPost.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqPost.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqPost.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqPost.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqPut.html","title":"Reactor.Req.Reactor.ReqPut","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqPut.html#req_put/2","title":"Reactor.Req.Reactor.ReqPut.req_put/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqPut.Options.html","title":"Reactor.Req.Reactor.ReqPut.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqPut.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqPut.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqPut.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqPut.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#body/1","title":"Reactor.Req.Reactor.ReqPut.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqPut.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqPut.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqPut.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqPut.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqPut.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqPut.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqPut.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqPut.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqPut.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#form/1","title":"Reactor.Req.Reactor.ReqPut.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqPut.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqPut.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqPut.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqPut.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#into/1","title":"Reactor.Req.Reactor.ReqPut.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#json/1","title":"Reactor.Req.Reactor.ReqPut.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqPut.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqPut.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#method/1","title":"Reactor.Req.Reactor.ReqPut.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#params/1","title":"Reactor.Req.Reactor.ReqPut.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqPut.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqPut.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqPut.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqPut.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqPut.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqPut.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqPut.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqPut.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#request/1","title":"Reactor.Req.Reactor.ReqPut.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqPut.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqPut.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqPut.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqPut.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqPut.Options.html#url/1","title":"Reactor.Req.Reactor.ReqPut.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqPut.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqPut.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqPut.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqPut.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqPut.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqPut.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqRequest.html","title":"Reactor.Req.Reactor.ReqRequest","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqRequest.html#req_request/2","title":"Reactor.Req.Reactor.ReqRequest.req_request/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqRequest.Options.html","title":"Reactor.Req.Reactor.ReqRequest.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqRequest.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqRequest.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqRequest.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqRequest.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#body/1","title":"Reactor.Req.Reactor.ReqRequest.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqRequest.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqRequest.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqRequest.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqRequest.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqRequest.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqRequest.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqRequest.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqRequest.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqRequest.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#form/1","title":"Reactor.Req.Reactor.ReqRequest.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqRequest.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqRequest.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqRequest.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqRequest.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#into/1","title":"Reactor.Req.Reactor.ReqRequest.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#json/1","title":"Reactor.Req.Reactor.ReqRequest.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqRequest.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqRequest.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#method/1","title":"Reactor.Req.Reactor.ReqRequest.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#params/1","title":"Reactor.Req.Reactor.ReqRequest.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqRequest.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqRequest.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqRequest.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqRequest.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqRequest.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqRequest.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqRequest.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqRequest.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#request/1","title":"Reactor.Req.Reactor.ReqRequest.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqRequest.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqRequest.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqRequest.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqRequest.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRequest.Options.html#url/1","title":"Reactor.Req.Reactor.ReqRequest.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqRequest.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqRequest.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqRequest.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqRequest.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqRequest.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqRequest.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqRun.html","title":"Reactor.Req.Reactor.ReqRun","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqRun.html#req_run/2","title":"Reactor.Req.Reactor.ReqRun.req_run/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqRun.Options.html","title":"Reactor.Req.Reactor.ReqRun.Options","type":"module"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#adapter/1","title":"Reactor.Req.Reactor.ReqRun.Options.adapter/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#auth/1","title":"Reactor.Req.Reactor.ReqRun.Options.auth/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#aws_sigv4/1","title":"Reactor.Req.Reactor.ReqRun.Options.aws_sigv4/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#base_url/1","title":"Reactor.Req.Reactor.ReqRun.Options.base_url/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#body/1","title":"Reactor.Req.Reactor.ReqRun.Options.body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#cache/1","title":"Reactor.Req.Reactor.ReqRun.Options.cache/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#cache_dir/1","title":"Reactor.Req.Reactor.ReqRun.Options.cache_dir/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#compress_body/1","title":"Reactor.Req.Reactor.ReqRun.Options.compress_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#connect_options/1","title":"Reactor.Req.Reactor.ReqRun.Options.connect_options/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#decode_body/1","title":"Reactor.Req.Reactor.ReqRun.Options.decode_body/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#decode_json/1","title":"Reactor.Req.Reactor.ReqRun.Options.decode_json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#finch/1","title":"Reactor.Req.Reactor.ReqRun.Options.finch/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#finch_private/1","title":"Reactor.Req.Reactor.ReqRun.Options.finch_private/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#finch_request/1","title":"Reactor.Req.Reactor.ReqRun.Options.finch_request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#form/1","title":"Reactor.Req.Reactor.ReqRun.Options.form/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#form_multipart/1","title":"Reactor.Req.Reactor.ReqRun.Options.form_multipart/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#headers/1","title":"Reactor.Req.Reactor.ReqRun.Options.headers/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#http_errors/1","title":"Reactor.Req.Reactor.ReqRun.Options.http_errors/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#inet6/1","title":"Reactor.Req.Reactor.ReqRun.Options.inet6/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#into/1","title":"Reactor.Req.Reactor.ReqRun.Options.into/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#json/1","title":"Reactor.Req.Reactor.ReqRun.Options.json/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#max_redirects/1","title":"Reactor.Req.Reactor.ReqRun.Options.max_redirects/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#max_retries/1","title":"Reactor.Req.Reactor.ReqRun.Options.max_retries/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#method/1","title":"Reactor.Req.Reactor.ReqRun.Options.method/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#params/1","title":"Reactor.Req.Reactor.ReqRun.Options.params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#path_params/1","title":"Reactor.Req.Reactor.ReqRun.Options.path_params/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#path_params_style/1","title":"Reactor.Req.Reactor.ReqRun.Options.path_params_style/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#plug/1","title":"Reactor.Req.Reactor.ReqRun.Options.plug/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#pool_timeout/1","title":"Reactor.Req.Reactor.ReqRun.Options.pool_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#raw/1","title":"Reactor.Req.Reactor.ReqRun.Options.raw/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#receive_timeout/1","title":"Reactor.Req.Reactor.ReqRun.Options.receive_timeout/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#redirect/1","title":"Reactor.Req.Reactor.ReqRun.Options.redirect/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#redirect_trusted/1","title":"Reactor.Req.Reactor.ReqRun.Options.redirect_trusted/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#request/1","title":"Reactor.Req.Reactor.ReqRun.Options.request/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#retry/1","title":"Reactor.Req.Reactor.ReqRun.Options.retry/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#retry_delay/1","title":"Reactor.Req.Reactor.ReqRun.Options.retry_delay/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#retry_log_level/1","title":"Reactor.Req.Reactor.ReqRun.Options.retry_log_level/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#unix_socket/1","title":"Reactor.Req.Reactor.ReqRun.Options.unix_socket/1","type":"macro"},{"doc":"Hello 2","ref":"Reactor.Req.Reactor.ReqRun.Options.html#url/1","title":"Reactor.Req.Reactor.ReqRun.Options.url/1","type":"macro"},{"doc":"Mod docs","ref":"Reactor.Req.Reactor.ReqRun.Reactor.Arguments.WaitFor.html","title":"Reactor.Req.Reactor.ReqRun.Reactor.Arguments.WaitFor","type":"module"},{"doc":"Hello 4","ref":"Reactor.Req.Reactor.ReqRun.Reactor.Arguments.WaitFor.html#wait_for/2","title":"Reactor.Req.Reactor.ReqRun.Reactor.Arguments.WaitFor.wait_for/2","type":"macro"},{"doc":"Mod Docs","ref":"Reactor.Req.Reactor.ReqRun.Reactor.Arguments.WaitFor.Options.html","title":"Reactor.Req.Reactor.ReqRun.Reactor.Arguments.WaitFor.Options","type":"module"},{"doc":"A step which delegates to `req`.","ref":"Reactor.Req.Step.html","title":"Reactor.Req.Step","type":"module"},{"doc":"# Reactor.Req\n\n[![Build Status](https://drone.harton.dev/api/badges/james/reactor_req/status.svg)](https://drone.harton.dev/james/reactor_req)\n[![Hex.pm](https://img.shields.io/hexpm/v/reactor_req.svg)](https://hex.pm/packages/reactor_req)\n[![Hippocratic License HL3-FULL](https://img.shields.io/static/v1?label=Hippocratic%20License&message=HL3-FULL&labelColor=5e2751&color=bc8c3d)](https://firstdonoharm.dev/version/3/0/full.html)\n\nA [Reactor](https://github.com/ash-project/reactor) extension that provides steps for working with HTTP requests via [Req](https://github.com/wojtekmach/req).","ref":"readme.html","title":"Reactor.Req","type":"extras"},{"doc":"The following example uses Reactor to retrieve the repository description from the Forgejo API:\n\n```elixir\ndefmodule GetForgejoRepoDescription do\n  use Reactor, extensions: [Reactor.Req]\n\n  input :hostname\n  input :owner\n  input :repo\n\n  step :repo_url do\n    argument :hostname, input(:hostname)\n    argument :owner, input(:owner)\n    argument :repo, input(:repo)\n\n    run fn args ->\n      URI.new(\"https://#{args.hostname}/api/v1/repos/#{args.owner}/#{args.repo}\")\n    end\n  end\n\n  req_get :get_repo do\n    url result(:repo_url)\n    headers value([accept: \"application/json\"])\n    http_errors value(:raise)\n  end\n\n  step :get_description do\n    argument :description, result(:get_repo, [:body, \"description\"])\n    run fn args -> {:ok, args.description} end\n  end\nend\n\nReactor.run!(GetForgejoRepoDescription, %{\n  hostname: \"harton.dev\",\n  owner: \"james\",\n  repo: \"reactor_req\"\n})\n\n# => \"A Reactor DSL extension for making HTTP requests with Req.\"\n```","ref":"readme.html#example","title":"Example - Reactor.Req","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `reactor_req` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:reactor_req, \"~> 0.1.1\"}\n  ]\nend\n```\n\nDocumentation for the latest release is available on [HexDocs](https://hexdocs.pm/reactor_req).","ref":"readme.html#installation","title":"Installation - Reactor.Req","type":"extras"},{"doc":"This repository is mirrored [on Github](https://github.com/jimsynz/reactor_req)\nfrom it's primary location [on my Forgejo instance](https://harton.dev/james/reactor_req).\nFeel free to raise issues and open PRs on Github.","ref":"readme.html#github-mirror","title":"Github Mirror - Reactor.Req","type":"extras"},{"doc":"This software is licensed under the terms of the\n[HL3-FULL](https://firstdonoharm.dev), see the `LICENSE.md` file included with\nthis package for the terms.\n\nThis license actively proscribes this software being used by and for some\nindustries, countries and activities. If your usage of this software doesn't\ncomply with the terms of this license, then [contact me](mailto:james@harton.nz)\nwith the details of your use-case to organise the purchase of a license - the\ncost of which may include a donation to a suitable charity or NGO.","ref":"readme.html#license","title":"License - Reactor.Req","type":"extras"},{"doc":"<!--\nThis file was generated by Spark. Do not edit it by hand.\n-->\n# DSL: Reactor.Req\n\nAn extension which provides direct support for working with `req` requests\nwithin Reactor.","ref":"dsl-reactor-req.html","title":"DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_delete name\n```\n\n\nPerforms a request using `Req.delete/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_delete","title":"reactor.req_delete - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_delete-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_delete-name){: #reactor-req_delete-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_delete-adapter){: #reactor-req_delete-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_delete-auth){: #reactor-req_delete-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_delete-aws_sigv4){: #reactor-req_delete-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_delete-base_url){: #reactor-req_delete-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_delete-body){: #reactor-req_delete-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_delete-cache_dir){: #reactor-req_delete-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_delete-cache){: #reactor-req_delete-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_delete-compress_body){: #reactor-req_delete-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_delete-connect_options){: #reactor-req_delete-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_delete-decode_body){: #reactor-req_delete-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_delete-decode_json){: #reactor-req_delete-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_delete-finch_private){: #reactor-req_delete-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_delete-finch_request){: #reactor-req_delete-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_delete-finch){: #reactor-req_delete-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_delete-form_multipart){: #reactor-req_delete-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_delete-form){: #reactor-req_delete-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_delete-headers){: #reactor-req_delete-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_delete-http_errors){: #reactor-req_delete-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_delete-inet6){: #reactor-req_delete-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_delete-into){: #reactor-req_delete-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_delete-json){: #reactor-req_delete-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_delete-max_redirects){: #reactor-req_delete-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_delete-max_retries){: #reactor-req_delete-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_delete-method){: #reactor-req_delete-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_delete-params){: #reactor-req_delete-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_delete-path_params_style){: #reactor-req_delete-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_delete-path_params){: #reactor-req_delete-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_delete-plug){: #reactor-req_delete-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_delete-pool_timeout){: #reactor-req_delete-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_delete-raw){: #reactor-req_delete-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_delete-receive_timeout){: #reactor-req_delete-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_delete-redirect_trusted){: #reactor-req_delete-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_delete-redirect){: #reactor-req_delete-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_delete-request){: #reactor-req_delete-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_delete-retry_delay){: #reactor-req_delete-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_delete-retry_log_level){: #reactor-req_delete-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_delete-retry){: #reactor-req_delete-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_delete-unix_socket){: #reactor-req_delete-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_delete-url){: #reactor-req_delete-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_delete-wait_for","title":"reactor.req_delete.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"```\nwait_for :create_user\n```","ref":"dsl-reactor-req.html#examples","title":"Examples - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_delete-wait_for-names){: #reactor-req_delete-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Dsl.WaitFor`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Delete`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_get name\n```\n\n\nPerforms a request using `Req.get/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_get","title":"reactor.req_get - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_get-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_get-name){: #reactor-req_get-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_get-adapter){: #reactor-req_get-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_get-auth){: #reactor-req_get-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_get-aws_sigv4){: #reactor-req_get-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_get-base_url){: #reactor-req_get-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_get-body){: #reactor-req_get-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_get-cache_dir){: #reactor-req_get-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_get-cache){: #reactor-req_get-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_get-compress_body){: #reactor-req_get-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_get-connect_options){: #reactor-req_get-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_get-decode_body){: #reactor-req_get-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_get-decode_json){: #reactor-req_get-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_get-finch_private){: #reactor-req_get-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_get-finch_request){: #reactor-req_get-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_get-finch){: #reactor-req_get-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_get-form_multipart){: #reactor-req_get-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_get-form){: #reactor-req_get-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_get-headers){: #reactor-req_get-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_get-http_errors){: #reactor-req_get-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_get-inet6){: #reactor-req_get-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_get-into){: #reactor-req_get-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_get-json){: #reactor-req_get-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_get-max_redirects){: #reactor-req_get-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_get-max_retries){: #reactor-req_get-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_get-method){: #reactor-req_get-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_get-params){: #reactor-req_get-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_get-path_params_style){: #reactor-req_get-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_get-path_params){: #reactor-req_get-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_get-plug){: #reactor-req_get-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_get-pool_timeout){: #reactor-req_get-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_get-raw){: #reactor-req_get-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_get-receive_timeout){: #reactor-req_get-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_get-redirect_trusted){: #reactor-req_get-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_get-redirect){: #reactor-req_get-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_get-request){: #reactor-req_get-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_get-retry_delay){: #reactor-req_get-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_get-retry_log_level){: #reactor-req_get-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_get-retry){: #reactor-req_get-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_get-unix_socket){: #reactor-req_get-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_get-url){: #reactor-req_get-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_get-wait_for","title":"reactor.req_get.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_get-wait_for-names){: #reactor-req_get-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Get`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_head name\n```\n\n\nPerforms a request using `Req.head/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_head","title":"reactor.req_head - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_head-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_head-name){: #reactor-req_head-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_head-adapter){: #reactor-req_head-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_head-auth){: #reactor-req_head-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_head-aws_sigv4){: #reactor-req_head-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_head-base_url){: #reactor-req_head-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_head-body){: #reactor-req_head-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_head-cache_dir){: #reactor-req_head-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_head-cache){: #reactor-req_head-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_head-compress_body){: #reactor-req_head-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_head-connect_options){: #reactor-req_head-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_head-decode_body){: #reactor-req_head-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_head-decode_json){: #reactor-req_head-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_head-finch_private){: #reactor-req_head-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_head-finch_request){: #reactor-req_head-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_head-finch){: #reactor-req_head-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_head-form_multipart){: #reactor-req_head-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_head-form){: #reactor-req_head-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_head-headers){: #reactor-req_head-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_head-http_errors){: #reactor-req_head-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_head-inet6){: #reactor-req_head-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_head-into){: #reactor-req_head-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_head-json){: #reactor-req_head-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_head-max_redirects){: #reactor-req_head-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_head-max_retries){: #reactor-req_head-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_head-method){: #reactor-req_head-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_head-params){: #reactor-req_head-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_head-path_params_style){: #reactor-req_head-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_head-path_params){: #reactor-req_head-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_head-plug){: #reactor-req_head-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_head-pool_timeout){: #reactor-req_head-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_head-raw){: #reactor-req_head-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_head-receive_timeout){: #reactor-req_head-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_head-redirect_trusted){: #reactor-req_head-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_head-redirect){: #reactor-req_head-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_head-request){: #reactor-req_head-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_head-retry_delay){: #reactor-req_head-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_head-retry_log_level){: #reactor-req_head-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_head-retry){: #reactor-req_head-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_head-unix_socket){: #reactor-req_head-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_head-url){: #reactor-req_head-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_head-wait_for","title":"reactor.req_head.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_head-wait_for-names){: #reactor-req_head-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Head`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_merge name\n```\n\n\nCreates a new request using `Req.merge/2`\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_merge","title":"reactor.req_merge - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_merge-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_merge-name){: #reactor-req_merge-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_merge-adapter){: #reactor-req_merge-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_merge-auth){: #reactor-req_merge-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_merge-aws_sigv4){: #reactor-req_merge-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_merge-base_url){: #reactor-req_merge-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_merge-body){: #reactor-req_merge-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_merge-cache_dir){: #reactor-req_merge-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_merge-cache){: #reactor-req_merge-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_merge-compress_body){: #reactor-req_merge-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_merge-connect_options){: #reactor-req_merge-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_merge-decode_body){: #reactor-req_merge-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_merge-decode_json){: #reactor-req_merge-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_merge-finch_private){: #reactor-req_merge-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_merge-finch_request){: #reactor-req_merge-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_merge-finch){: #reactor-req_merge-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_merge-form_multipart){: #reactor-req_merge-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_merge-form){: #reactor-req_merge-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_merge-headers){: #reactor-req_merge-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_merge-http_errors){: #reactor-req_merge-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_merge-inet6){: #reactor-req_merge-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_merge-into){: #reactor-req_merge-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_merge-json){: #reactor-req_merge-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_merge-max_redirects){: #reactor-req_merge-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_merge-max_retries){: #reactor-req_merge-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_merge-method){: #reactor-req_merge-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_merge-params){: #reactor-req_merge-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_merge-path_params_style){: #reactor-req_merge-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_merge-path_params){: #reactor-req_merge-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_merge-plug){: #reactor-req_merge-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_merge-pool_timeout){: #reactor-req_merge-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_merge-raw){: #reactor-req_merge-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_merge-receive_timeout){: #reactor-req_merge-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_merge-redirect_trusted){: #reactor-req_merge-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_merge-redirect){: #reactor-req_merge-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_merge-request){: #reactor-req_merge-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_merge-retry_delay){: #reactor-req_merge-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_merge-retry_log_level){: #reactor-req_merge-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_merge-retry){: #reactor-req_merge-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_merge-unix_socket){: #reactor-req_merge-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_merge-url){: #reactor-req_merge-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_merge-wait_for","title":"reactor.req_merge.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_merge-wait_for-names){: #reactor-req_merge-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Merge`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_new name\n```\n\n\nCreates a new request using `Req.new/1`\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_new","title":"reactor.req_new - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_new-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_new-name){: #reactor-req_new-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_new-adapter){: #reactor-req_new-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_new-auth){: #reactor-req_new-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_new-aws_sigv4){: #reactor-req_new-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_new-base_url){: #reactor-req_new-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_new-body){: #reactor-req_new-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_new-cache_dir){: #reactor-req_new-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_new-cache){: #reactor-req_new-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_new-compress_body){: #reactor-req_new-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_new-connect_options){: #reactor-req_new-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_new-decode_body){: #reactor-req_new-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_new-decode_json){: #reactor-req_new-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_new-finch_private){: #reactor-req_new-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_new-finch_request){: #reactor-req_new-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_new-finch){: #reactor-req_new-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_new-form_multipart){: #reactor-req_new-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_new-form){: #reactor-req_new-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_new-headers){: #reactor-req_new-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_new-http_errors){: #reactor-req_new-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_new-inet6){: #reactor-req_new-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_new-into){: #reactor-req_new-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_new-json){: #reactor-req_new-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_new-max_redirects){: #reactor-req_new-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_new-max_retries){: #reactor-req_new-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_new-method){: #reactor-req_new-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_new-params){: #reactor-req_new-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_new-path_params_style){: #reactor-req_new-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_new-path_params){: #reactor-req_new-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_new-plug){: #reactor-req_new-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_new-pool_timeout){: #reactor-req_new-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_new-raw){: #reactor-req_new-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_new-receive_timeout){: #reactor-req_new-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_new-redirect_trusted){: #reactor-req_new-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_new-redirect){: #reactor-req_new-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_new-request){: #reactor-req_new-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_new-retry_delay){: #reactor-req_new-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_new-retry_log_level){: #reactor-req_new-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_new-retry){: #reactor-req_new-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_new-unix_socket){: #reactor-req_new-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_new-url){: #reactor-req_new-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_new-wait_for","title":"reactor.req_new.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_new-wait_for-names){: #reactor-req_new-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.New`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_patch name\n```\n\n\nPerforms a request using `Req.patch/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_patch","title":"reactor.req_patch - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_patch-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_patch-name){: #reactor-req_patch-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_patch-adapter){: #reactor-req_patch-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_patch-auth){: #reactor-req_patch-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_patch-aws_sigv4){: #reactor-req_patch-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_patch-base_url){: #reactor-req_patch-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_patch-body){: #reactor-req_patch-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_patch-cache_dir){: #reactor-req_patch-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_patch-cache){: #reactor-req_patch-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_patch-compress_body){: #reactor-req_patch-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_patch-connect_options){: #reactor-req_patch-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_patch-decode_body){: #reactor-req_patch-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_patch-decode_json){: #reactor-req_patch-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_patch-finch_private){: #reactor-req_patch-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_patch-finch_request){: #reactor-req_patch-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_patch-finch){: #reactor-req_patch-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_patch-form_multipart){: #reactor-req_patch-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_patch-form){: #reactor-req_patch-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_patch-headers){: #reactor-req_patch-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_patch-http_errors){: #reactor-req_patch-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_patch-inet6){: #reactor-req_patch-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_patch-into){: #reactor-req_patch-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_patch-json){: #reactor-req_patch-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_patch-max_redirects){: #reactor-req_patch-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_patch-max_retries){: #reactor-req_patch-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_patch-method){: #reactor-req_patch-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_patch-params){: #reactor-req_patch-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_patch-path_params_style){: #reactor-req_patch-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_patch-path_params){: #reactor-req_patch-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_patch-plug){: #reactor-req_patch-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_patch-pool_timeout){: #reactor-req_patch-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_patch-raw){: #reactor-req_patch-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_patch-receive_timeout){: #reactor-req_patch-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_patch-redirect_trusted){: #reactor-req_patch-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_patch-redirect){: #reactor-req_patch-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_patch-request){: #reactor-req_patch-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_patch-retry_delay){: #reactor-req_patch-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_patch-retry_log_level){: #reactor-req_patch-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_patch-retry){: #reactor-req_patch-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_patch-unix_socket){: #reactor-req_patch-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_patch-url){: #reactor-req_patch-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_patch-wait_for","title":"reactor.req_patch.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_patch-wait_for-names){: #reactor-req_patch-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Patch`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_post name\n```\n\n\nPerforms a request using `Req.post/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_post","title":"reactor.req_post - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_post-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_post-name){: #reactor-req_post-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_post-adapter){: #reactor-req_post-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_post-auth){: #reactor-req_post-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_post-aws_sigv4){: #reactor-req_post-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_post-base_url){: #reactor-req_post-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_post-body){: #reactor-req_post-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_post-cache_dir){: #reactor-req_post-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_post-cache){: #reactor-req_post-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_post-compress_body){: #reactor-req_post-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_post-connect_options){: #reactor-req_post-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_post-decode_body){: #reactor-req_post-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_post-decode_json){: #reactor-req_post-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_post-finch_private){: #reactor-req_post-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_post-finch_request){: #reactor-req_post-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_post-finch){: #reactor-req_post-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_post-form_multipart){: #reactor-req_post-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_post-form){: #reactor-req_post-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_post-headers){: #reactor-req_post-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_post-http_errors){: #reactor-req_post-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_post-inet6){: #reactor-req_post-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_post-into){: #reactor-req_post-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_post-json){: #reactor-req_post-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_post-max_redirects){: #reactor-req_post-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_post-max_retries){: #reactor-req_post-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_post-method){: #reactor-req_post-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_post-params){: #reactor-req_post-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_post-path_params_style){: #reactor-req_post-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_post-path_params){: #reactor-req_post-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_post-plug){: #reactor-req_post-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_post-pool_timeout){: #reactor-req_post-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_post-raw){: #reactor-req_post-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_post-receive_timeout){: #reactor-req_post-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_post-redirect_trusted){: #reactor-req_post-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_post-redirect){: #reactor-req_post-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_post-request){: #reactor-req_post-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_post-retry_delay){: #reactor-req_post-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_post-retry_log_level){: #reactor-req_post-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_post-retry){: #reactor-req_post-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_post-unix_socket){: #reactor-req_post-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_post-url){: #reactor-req_post-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_post-wait_for","title":"reactor.req_post.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_post-wait_for-names){: #reactor-req_post-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Post`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_put name\n```\n\n\nPerforms a request using `Req.put/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_put","title":"reactor.req_put - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_put-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_put-name){: #reactor-req_put-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_put-adapter){: #reactor-req_put-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_put-auth){: #reactor-req_put-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_put-aws_sigv4){: #reactor-req_put-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_put-base_url){: #reactor-req_put-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_put-body){: #reactor-req_put-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_put-cache_dir){: #reactor-req_put-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_put-cache){: #reactor-req_put-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_put-compress_body){: #reactor-req_put-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_put-connect_options){: #reactor-req_put-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_put-decode_body){: #reactor-req_put-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_put-decode_json){: #reactor-req_put-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_put-finch_private){: #reactor-req_put-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_put-finch_request){: #reactor-req_put-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_put-finch){: #reactor-req_put-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_put-form_multipart){: #reactor-req_put-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_put-form){: #reactor-req_put-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_put-headers){: #reactor-req_put-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_put-http_errors){: #reactor-req_put-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_put-inet6){: #reactor-req_put-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_put-into){: #reactor-req_put-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_put-json){: #reactor-req_put-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_put-max_redirects){: #reactor-req_put-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_put-max_retries){: #reactor-req_put-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_put-method){: #reactor-req_put-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_put-params){: #reactor-req_put-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_put-path_params_style){: #reactor-req_put-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_put-path_params){: #reactor-req_put-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_put-plug){: #reactor-req_put-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_put-pool_timeout){: #reactor-req_put-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_put-raw){: #reactor-req_put-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_put-receive_timeout){: #reactor-req_put-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_put-redirect_trusted){: #reactor-req_put-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_put-redirect){: #reactor-req_put-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_put-request){: #reactor-req_put-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_put-retry_delay){: #reactor-req_put-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_put-retry_log_level){: #reactor-req_put-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_put-retry){: #reactor-req_put-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_put-unix_socket){: #reactor-req_put-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_put-url){: #reactor-req_put-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_put-wait_for","title":"reactor.req_put.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_put-wait_for-names){: #reactor-req_put-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Put`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_request name\n```\n\n\nPerforms a request using `Req.request/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_request","title":"reactor.req_request - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_request-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_request-name){: #reactor-req_request-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_request-adapter){: #reactor-req_request-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_request-auth){: #reactor-req_request-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_request-aws_sigv4){: #reactor-req_request-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_request-base_url){: #reactor-req_request-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_request-body){: #reactor-req_request-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_request-cache_dir){: #reactor-req_request-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_request-cache){: #reactor-req_request-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_request-compress_body){: #reactor-req_request-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_request-connect_options){: #reactor-req_request-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_request-decode_body){: #reactor-req_request-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_request-decode_json){: #reactor-req_request-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_request-finch_private){: #reactor-req_request-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_request-finch_request){: #reactor-req_request-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_request-finch){: #reactor-req_request-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_request-form_multipart){: #reactor-req_request-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_request-form){: #reactor-req_request-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_request-headers){: #reactor-req_request-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_request-http_errors){: #reactor-req_request-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_request-inet6){: #reactor-req_request-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_request-into){: #reactor-req_request-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_request-json){: #reactor-req_request-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_request-max_redirects){: #reactor-req_request-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_request-max_retries){: #reactor-req_request-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_request-method){: #reactor-req_request-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_request-params){: #reactor-req_request-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_request-path_params_style){: #reactor-req_request-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_request-path_params){: #reactor-req_request-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_request-plug){: #reactor-req_request-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_request-pool_timeout){: #reactor-req_request-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_request-raw){: #reactor-req_request-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_request-receive_timeout){: #reactor-req_request-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_request-redirect_trusted){: #reactor-req_request-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_request-redirect){: #reactor-req_request-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_request-request){: #reactor-req_request-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_request-retry_delay){: #reactor-req_request-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_request-retry_log_level){: #reactor-req_request-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_request-retry){: #reactor-req_request-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_request-unix_socket){: #reactor-req_request-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_request-url){: #reactor-req_request-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_request-wait_for","title":"reactor.req_request.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_request-wait_for-names){: #reactor-req_request-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Request`","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nreq_run name\n```\n\n\nPerforms a request using `Req.run/2`.\n\nNote that Reactor doesn't validate any options - it simply passes them to the underlying `Req` function and assumes it will validate them.","ref":"dsl-reactor-req.html#reactor-req_run","title":"reactor.req_run - DSL: Reactor.Req","type":"extras"},{"doc":"* [wait_for](#reactor-req_run-wait_for)","ref":"dsl-reactor-req.html#nested-dsls","title":"Nested DSLs - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`name`](#reactor-req_run-name){: #reactor-req_run-name .spark-required} | `atom` |  | A unique name for the step. Used when choosing the return value of the Reactor and for arguments into other steps |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`adapter`](#reactor-req_run-adapter){: #reactor-req_run-adapter } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Adapter to use to make the actual HTTP request |\n| [`auth`](#reactor-req_run-auth){: #reactor-req_run-auth } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Sets request authentication |\n| [`aws_sigv4`](#reactor-req_run-aws_sigv4){: #reactor-req_run-aws_sigv4 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the AWS options to sign request |\n| [`base_url`](#reactor-req_run-base_url){: #reactor-req_run-base_url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, the request URL is prepended with this base URL |\n| [`body`](#reactor-req_run-body){: #reactor-req_run-body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request body |\n| [`cache_dir`](#reactor-req_run-cache_dir){: #reactor-req_run-cache_dir } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The directory to store the cache |\n| [`cache`](#reactor-req_run-cache){: #reactor-req_run-cache } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If `true`, performs HTTP caching |\n| [`compress_body`](#reactor-req_run-compress_body){: #reactor-req_run-compress_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, compresses the request body using gzip |\n| [`connect_options`](#reactor-req_run-connect_options){: #reactor-req_run-connect_options } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Dynamically starts (or re-uses already started) Finch pool with the given connection options |\n| [`decode_body`](#reactor-req_run-decode_body){: #reactor-req_run-decode_body } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response body decoding |\n| [`decode_json`](#reactor-req_run-decode_json){: #reactor-req_run-decode_json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Options to pass to `Jason.decode!/2` |\n| [`finch_private`](#reactor-req_run-finch_private){: #reactor-req_run-finch_private } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A map or keyword list of private metadata to add to the Finch request |\n| [`finch_request`](#reactor-req_run-finch_request){: #reactor-req_run-finch_request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A function that executes the Finch request, defaults to using `Finch.request/3` |\n| [`finch`](#reactor-req_run-finch){: #reactor-req_run-finch } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The Finch pool to use. Defaults to pool automatically started by `Req` |\n| [`form_multipart`](#reactor-req_run-form_multipart){: #reactor-req_run-form_multipart } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `multipart/form-data` |\n| [`form`](#reactor-req_run-form){: #reactor-req_run-form } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as `application/x-www-form-urlencoded` |\n| [`headers`](#reactor-req_run-headers){: #reactor-req_run-headers } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request headers as a `{key, value}` enumerable (e.g. map, keyword list) |\n| [`http_errors`](#reactor-req_run-http_errors){: #reactor-req_run-http_errors } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How to manage 4xx and 5xx responses |\n| [`inet6`](#reactor-req_run-inet6){: #reactor-req_run-inet6 } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, uses IPv6 |\n| [`into`](#reactor-req_run-into){: #reactor-req_run-into } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Where to send the response body |\n| [`json`](#reactor-req_run-json){: #reactor-req_run-json } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, encodes the request body as JSON |\n| [`max_redirects`](#reactor-req_run-max_redirects){: #reactor-req_run-max_redirects } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The maximum number of redirects, defaults to `10` |\n| [`max_retries`](#reactor-req_run-max_retries){: #reactor-req_run-max_retries } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Maximum number of retry attempts, defaults to `3` (for a total of `4` requests to the server, including the initial one) |\n| [`method`](#reactor-req_run-method){: #reactor-req_run-method } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request method, defaults to `:get` |\n| [`params`](#reactor-req_run-params){: #reactor-req_run-params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, appends parameters to the request query string (via `put_params` step) |\n| [`path_params_style`](#reactor-req_run-path_params_style){: #reactor-req_run-path_params_style } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | How path params are expressed (via `put_path_params` step) |\n| [`path_params`](#reactor-req_run-path_params){: #reactor-req_run-path_params } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, uses a templated request path (via `put_path_params` step) |\n| [`plug`](#reactor-req_run-plug){: #reactor-req_run-plug } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, calls the given plug instead of making an HTTP request over the network (via `run_plug` step) |\n| [`pool_timeout`](#reactor-req_run-pool_timeout){: #reactor-req_run-pool_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Pool checkout timeout in milliseconds, defaults to `5000` |\n| [`raw`](#reactor-req_run-raw){: #reactor-req_run-raw } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `true`, disables automatic body decompression (`decompress_body` step) and decoding (`decode_body` step) |\n| [`receive_timeout`](#reactor-req_run-receive_timeout){: #reactor-req_run-receive_timeout } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | Socket receive timeout in milliseconds, defaults to `15_000` |\n| [`redirect_trusted`](#reactor-req_run-redirect_trusted){: #reactor-req_run-redirect_trusted } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | By default, authorization credentials are only sent on redirects with the same host, scheme and port. If `:redirect_trusted` is set to `true`, credentials will be sent to any host |\n| [`redirect`](#reactor-req_run-redirect){: #reactor-req_run-redirect } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set to `false`, disables automatic response redirects |\n| [`request`](#reactor-req_run-request){: #reactor-req_run-request } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | A previously built request |\n| [`retry_delay`](#reactor-req_run-retry_delay){: #reactor-req_run-retry_delay } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If not set, which is the default, the retry delay is determined by the value of retry-delay header on HTTP 429/503 responses. If the header is not set, the default delay follows a simple exponential backoff: 1s, 2s, 4s, 8s, ... |\n| [`retry_log_level`](#reactor-req_run-retry_log_level){: #reactor-req_run-retry_log_level } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The log level to emit retry logs at. Can also be set to `false` to disable logging these messages. Defaults to `:warning` |\n| [`retry`](#reactor-req_run-retry){: #reactor-req_run-retry } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | One of `:safe_transient` (default), `:transient`, `fun` or `false` |\n| [`unix_socket`](#reactor-req_run-unix_socket){: #reactor-req_run-unix_socket } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | If set, connect through the given UNIX domain socket |\n| [`url`](#reactor-req_run-url){: #reactor-req_run-url } | `nil \\| Reactor.Template.Element \\| Reactor.Template.Input \\| Reactor.Template.Result \\| Reactor.Template.Value` |  | The request URL |","ref":"dsl-reactor-req.html#options","title":"Options - DSL: Reactor.Req","type":"extras"},{"doc":"```elixir\nwait_for names\n```\n\n\nWait for the named step to complete before allowing this one to start.\n\nDesugars to `argument :_, result(step_to_wait_for)`","ref":"dsl-reactor-req.html#reactor-req_run-wait_for","title":"reactor.req_run.wait_for - DSL: Reactor.Req","type":"extras"},{"doc":"| Name | Type | Default | Docs |\n|------|------|---------|------|\n| [`names`](#reactor-req_run-wait_for-names){: #reactor-req_run-wait_for-names .spark-required} | `atom \\| list(atom)` |  | The name of the step to wait for. |","ref":"dsl-reactor-req.html#arguments","title":"Arguments - DSL: Reactor.Req","type":"extras"},{"doc":"Target: `Reactor.Req.Dsl.Run`\n\n\n\n .spark-required::after { content: \"*\"; color: red !important; }","ref":"dsl-reactor-req.html#introspection","title":"Introspection - DSL: Reactor.Req","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}